yi-core-0.19.4: Yi editor core library

Safe Haskell | None
Language | Haskell2010

Yi.Syntax.Driver

Description

This module defines implementations of syntax-awareness drivers.

# Documentation

type Path = [Int] Source #

data Cache state (tree :: Type -> Type) tt Source #

Constructors

Cache |

Fields

- path :: Map WindowRef Path
- cachedStates :: [state]
- root :: tree (Tok tt)
- focused :: !(Map WindowRef (tree (Tok tt)))

mkHighlighter :: forall state tree tt. (IsTree tree, Show state) => (Scanner Point Char -> Scanner state (tree (Tok tt))) -> Highlighter (Cache state tree tt) (tree (Tok tt)) Source #

unzipFM :: Ord k => [(k, (u, v))] -> (Map k u, Map k v) Source #

zipWithFM :: Ord k => (u -> v -> w) -> v -> Map k u -> Map k v -> [(k, w)] Source #